--- title: "Get snapshot" slug: "media-livestation-snapshot-snapshotinfo" tags: ["Live Station", "Snapshot"] updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/media-livestation-snapshot-snapshotinfo" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get snapshot Available in Classic and VPC Get snapshot information. You can retrieve snapshots within one hour of creation. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v2/channels/{channelId}/snapshot/{snapshotId} | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-channel-channellist). | | `snapshotId` | String | Required | Snapshot ID - See [Create snapshot](/docs/en/media-livestation-snapshot-snapshotcreate), [Get channel list](/docs/en/media-livestation-channel-channellist), and [Get channel](/docs/en/media-livestation-channel-channelinfo). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://livestation.apigw.ntruss.com/api/v2/channels/ls-20250814******-zTwK2/snapshot/7526' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'x-ncp-region_code: KR' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Snapshot information | | `content.channelId` | String | - | Channel ID | | `content.channelStatus` | String | - | Channel status - `CREATING` \| `READY` \| `PUBLISHING` \| `DELETED` \| `BLOCK` \| `FORCE_BLOCK` \| `FORCE_DELETED` - `CREATING`: Creating - `READY`: Ready - `PUBLISHING`: Streaming - `DELETED`: Deleted - `BLOCK`: Stopped - `FORCE_BLOCK`: Force stopped - `FORCE_DELETED`: Unavailable | | `content.snapshot` | Object | - | Snapshot information | | `content.snapshot.snapshotId` | Integer | - | Snapshot ID - Required when querying the snapshot information later | | `content.snapshot.snapshotUrl` | String | - | Snapshot playback URL - Valid for 1 hour from creation | | `content.snapshot.createdTime` | Integer | - | Snapshot creation date and time (millisecond) - Unix timestamp format | | `content.snapshot.expireTime` | Integer | - | Snapshot expiration date and time (millisecond) - Unix timestamp format | | `content.snapshot.duration` | Integer | - | Snapshot request time (minute) | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "channelId": "ls-20250814******-zTwK2", "channelStatus": "PUBLISHING", "snapshot": { "snapshotId": 7526, "snapshotUrl": "https://*************.edge.naverncp.com/dvr/snapshot/1755508932161/als-nmssenc02/l6f07uzuaex2hriziguozw291avx4xqfrf6k/480p-16-9/7526-1755505332161.m3u8", "createdTime": 1755505332161, "expireTime": 1755508932161, "duration": 8 } } } ```